Description

Example: In administration, if we have 4 activities (A, B, C, D) and A by default,

If activity C is the only one we can set in a project, so when submitting time entry we have to choose C as activity although it is the

only choice in the combobox.

The field is compulsory so it is disturbing to set C as activity wherever we input time.

Associated revisions

Revision 21709 - 2022-07-17 02:16 - Go MAEDA

Make the only enabled activity in a project the default one for time entry (#10314).

Patch by Mizuki ISHIKAWA.

History

#1 - 2012-03-10 16:09 - Bo Hansen

I agree. Maybe the best solution would be to allow setting a default activity per project?

Here's a simple patch which removes blank field if only one activity is present:

diff --git a/app/helpers/timelog_helper.rb b/app/helpers/timelog_helper.rb

index 6be6c58..04ac1bc 100644

--- a/app/helpers/timelog_helper.rb

+++ b/app/helpers/timelog_helper.rb

@@ -49,7 +49,8 @@ module TimelogHelper

     if time_entry && time_entry.activity && !time_entry.activity.active?

       collection << [ "--- #{l(:actionview_instancetag_blank_option)} ---", '' ]

     else

-      collection << [ "--- #{l(:actionview_instancetag_blank_option)} ---", '' ] unless activities.detect(&:i

s_default)

+      collection << [ "--- #{l(:actionview_instancetag_blank_option)} ---", '' ] unless activities.detect(&:i

s_default) ||

+                                                                                        activities.count == 1

     end

     activities.each { |a| collection << [a.name, a.id] }

     collection

#2 - 2012-03-10 18:06 - Etienne Massip

- Category changed from Issues to Time tracking

#3 - 2022-06-22 09:43 - Mizuki ISHIKAWA

- File feature-10314.patch added

I have attached the patch.

#4 - 2022-07-08 10:32 - Go MAEDA

- File feature-10314-v2.patch added

- Target version set to Candidate for next major release
Mizuki ISHIKAWA wrote:

I have attached the patch.

 Thank you for posting the patch. I slightly updated it.

Changed the method name of TimeEntryActivity.chooseable_activities to available_activities

Fixed a RuboCop offense Layout/LineLength

Changed the argument of method call at line 29 in app/helpers/timelog_helper.rb from @project to project (I think this is a typo. Please review

this change)

#5 - 2022-07-08 13:54 - Fernando Hartmann

+1

#6 - 2022-07-11 16:40 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#7 - 2022-07-17 02:16 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

Files

feature-10314.patch 2.62 KB 2022-06-22 Mizuki ISHIKAWA

feature-10314-v2.patch 2.64 KB 2022-07-08 Go MAEDA
